<template>
	<div>
		<!-- <el-tabs v-model="activeName" @tab-click="handleClick">
			<el-tab-pane label="行业分类" name="first"> -->
				<div style="width: 100%;text-align: right;">
					<el-button style="margin-bottom: 20px;" size="mini" type="primary" @click="cancel">刷新
					</el-button>
					<el-button style="margin:10px;" size="mini" type="primary" icon="document"
						:disabled="!isAuth('industry:add')" @click="classAdd(1)">添加
					</el-button>
				</div>
				<el-table v-loading="tableDataLoading" :data="tableData.records">
					<el-table-column prop="industryId" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="industryName" label="一级行业名称">
					</el-table-column>
					<!-- <el-table-column prop="price" label="价格">
					</el-table-column>
					<el-table-column prop="memberPrice" label="会员价格">
					</el-table-column> -->
					<el-table-column prop="sort" label="排序">
					</el-table-column>
					<el-table-column prop="isEnable" label="状态">
						<template slot-scope="scope">
							<el-switch v-model="scope.row.isEnable" @change="change(scope.row.industryId,scope.row.isEnable,scope.row)"
								:disabled="!isAuth('industry:update')" :active-value="openValue2"
								:inactive-value="closeValue2" active-color="#13ce66" inactive-color="#ff4949">
							</el-switch>
						</template>
					</el-table-column>
					<el-table-column prop="createTime" label="创建时间" width="160">
					</el-table-column>
					<el-table-column label="操作" prop="id" width="150" fixed='right' align="center">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" style="margin: 5px;"
								@click="classList(scope.row,2)">二级行业列表
							</el-button>
							<el-button size="mini" type="primary" :disabled="!isAuth('industry:update')" style="margin: 5px;"
								@click="classAdd(0,scope.row)">修改行业
							</el-button>
							<el-button size="mini" type="danger" :disabled="!isAuth('industry:delete')" style="margin: 5px;"
								@click="classdelete(scope.row)">删除行业
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChange" @current-change="handleCurrentChange"
						:page-sizes="[10, 20, 30, 40]" :page-size="limit" :current-page="page"
						layout="total,sizes, prev, pager, next,jumper" :total="tableData.total">
					</el-pagination>
				</div>
			<!-- </el-tab-pane> -->
			<!--    图片展示-->
			<el-dialog title="二级行业列表" :visible.sync="dialogVisible" width="70%" center>
				<div style="margin:2% 0;display: inline-block;">
					<el-button style='margin-left:15px;' size="mini" type="primary" icon="document" @click="classAdd(2)">
						添加
					</el-button>
				</div>
				<el-table v-loading="tableDataLoading4" :data="stationList.records">
					<el-table-column prop="industryId" label="编号" width="80">
					</el-table-column>
					<el-table-column prop="industryName" label="二级行业名称" width="150">
					</el-table-column>
					<!-- <el-table-column prop="price" label="价格">
					</el-table-column>
					<el-table-column prop="memberPrice" label="会员价格">
					</el-table-column> -->
					<el-table-column prop="sort" label="排序">
					</el-table-column>
					<el-table-column prop="isEnable" label="状态">
						<template slot-scope="scope">
							<el-switch v-model="scope.row.isEnable" @change="change(scope.row.industryId,scope.row.isEnable,scope.row)"
								:disabled="!isAuth('industry:update')" :active-value="openValue2"
								:inactive-value="closeValue2" active-color="#13ce66" inactive-color="#ff4949">
							</el-switch>
						</template>
					</el-table-column>
					<el-table-column label="操作" fixed='right' width="180">
						<template slot-scope="scope">
							<el-button size="mini" type="primary" :disabled="!isAuth('industry:update')"
								@click="classAdd(0,scope.row,2)">修改
							</el-button>
							<el-button size="mini" type="danger" :disabled="!isAuth('industry:delete')"
								@click="classdelete(scope.row)">删除
							</el-button>
						</template>
					</el-table-column>
				</el-table>
				<div style="text-align: center;margin-top: 10px;">
					<el-pagination @size-change="handleSizeChangeGw" @current-change="handleCurrentChangeGw"
						:page-sizes="[5, 10, 15, 20]" :page-size="size1" :current-page="page1"
						layout="total,sizes, prev, pager, next,jumper" :total="stationList.total">
					</el-pagination>
				</div>
			</el-dialog>
			<!-- 添加、修改行业行业 -->
			<el-dialog :title="titles" :visible.sync="dialogFormVisible9" center>
				<div style="margin-bottom: 10px;" v-if="parentId!=0&&titles=='添加行业'">
					<span style="width: 200px;display: inline-block;text-align: right;">行业类型：</span>
					<el-radio-group v-model="gwType" >
						<el-radio :label="1">二级行业</el-radio>
					</el-radio-group>
				</div>
				<div style="margin-bottom: 10px;">
					<span style="width: 200px;display: inline-block;text-align: right;">行业名称：</span>
					<el-input style="width:50%;" v-model="ruleClassifyName" type="text" placeholder="请输入行业名称"></el-input>
				</div>



				<div style="margin-bottom: 10px;display:flex;">
					<span style="width: 200px;display: inline-block;text-align: right;">排序：</span>
					<el-input-number size="medium" v-model="sort"></el-input-number>
				</div>
				<div style="margin-bottom: 10px;display:flex;">
					<span style="width: 200px;display: inline-block;text-align: right;">状态：</span>
					<el-radio-group v-model="gameStatus">
						<el-radio :label="1">上架</el-radio>
						<el-radio :label="2">下架</el-radio>
					</el-radio-group>
				</div>
				<div slot="footer" class="dialog-footer">
					<el-button @click="dialogFormVisible9 = false">取 消</el-button>
					<el-button type="primary" @click="refuseto1()">确 定</el-button>
				</div>
			</el-dialog>
		<!-- </el-tabs> -->
	</div>
</template>

<script>
	export default {

		data() {
			return {
				size: 10,
				page: 1,
				size1: 10,
				page1: 1,
				limit: 10,
				openValue2: 1,
				closeValue2: 0,
				title: '',
				type: '',
				name: '',
				activeName: 'first',
				tableDataLoading: true,
				tableDataLoading4: false,
				dialogFormVisible9: false,
				isEnable: '', //状态0待审核  1上架  2下架 3驳回 (修改添加不传)
				dialogVisible: false,
				dialogVisibleS:false,
				dialogVisibleGw: false,
				tableData: {},
				titles: '添加服务分类',
				renwuTitles: '添加服务',
				ruleClassifyName:'',
				ruleClassifyId: '',
				sort:1,
				gameStatus: 1,
				stationList:{},
				stationListS:[],
				rulePostId:'',//行业id
				rulePostName:'',//行业名称
				price:'',//价格
				memberPrice:'',//会员价格
				accurateMemberPrice:'',//精准服务定制化价格
				customizationPrice:'',//定制化价格
				customizationMemberPrice:'',//定制化会员价格
				offlinePrice:'',
				offlineMemberPrice:'',
				rulePostNameT:'',
				classifyBy:1,
				flname:'',
				parentId:0,
				titleGw:'',
				gwType:1,
				ejgwList:[],
				parentIdEr:'',
				ruleClassifyIdT: '',
			}
		},
		methods: {
			handleSizeChange(val) {
				this.limit = val
				this.classSelect()
			},
			handleCurrentChange(val) {
				this.page = val
				this.classSelect()
			},
			handleSizeChangeGw(val) {
				this.size1 = val
				this.stationClass()
			},
			handleCurrentChangeGw(val) {
				this.page1 = val
				this.stationClass()
			},
			handleClick(tab, event) {

				this.page = 1
				if (tab._props.label == '行业分类') {

					this.classSelect()
				}
			},
			// 取消
			cancel() {
				this.page = 1
				this.classSelect()
			},
			// 获取服务分类数据
			classSelect() {
				this.tableDataLoading = true
				this.$http({
					url: this.$http.adornUrl('admin/industry/adminGetIndustryList'),
					method: 'get',
					params: this.$http.adornParams({
						'page': this.page,
						'limit': this.limit,
						'industryName':'',

					})
				}).then(({
					data
				}) => {
					if (data.code == 0) {
						this.tableDataLoading = false
						let returnData = data.data
						this.tableData = returnData
					} else {
						this.$notify({
							title: '提示',
							duration: 1800,
							message: data.msg,
							type: 'warning'
						});
					}


				})
			},


			// 启用与否
			change(id, status,row) {
				this.$http({
					url: this.$http.adornUrl('admin/industry/updateIndustry'),
					method: 'post',
					// data: this.$http.adornData({
					params: this.$http.adornParams({
						'industryId': id,
						'isEnable': status,
						'industryName':row.industryName,
						'sort':row.sort,
						'parentId':row.parentId

					})
				}).then(({
					data
				}) => {
					if(data.code==0){
						this.$message({
							message: '操作成功',
							type: 'success',
							duration: 1500,
							onClose: () => {
								if(row.parentId==0){
									this.classSelect()
								}else{
									this.stationClass()
								}
								this.dialogVisibleS = false
							}
						})
					}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
									if(row.parentId==0){
										this.classSelect()
									}else{
										this.stationClass()
									}
								}
							})
						}

				})
			},
			// 行业列表
			classList(row,index){
					this.ruleClassifyIdT = row.industryId
					this.stationClass()
					this.dialogVisible = true


			},
			// 添加服务分类
			classAdd(index,row,jibie) {
				console.log(index,'row', row)

				if (index==0) {
					this.titles = '修改行业'
					this.ruleClassifyName = row.industryName
					this.ruleClassifyId = row.industryId
					this.sort = row.sort
					this.gameStatus = row.isEnable
					this.parentId = row.parentId
					if(row.title){
						this.titleGw = row.title
					}

				} else {
					if(index==1){
						this.parentId = 0
						this.ruleClassifyId = ''
					}else if(index==2){
						this.parentId = this.ruleClassifyIdT
					}
					this.titles = '添加行业'
					this.ruleClassifyName = ''
					this.ruleClassifyId = ''
					this.sort = 1
					this.gameStatus = 1
					this.gwType=1
				}
				this.dialogFormVisible9 = true

			},
			// 提交修改、添加服务分类
			refuseto1() {
				if (this.ruleClassifyName == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请输入行业名称',
						type: 'warning'
					})
					return
				}
				if (this.sort == '') {
					this.$notify({
						title: '提示',
						duration: 1800,
						message: '请选择排序',
						type: 'warning'
					})
					return
				}
					if (this.titles == '添加行业') {
						var urls = 'admin/industry/addIndustry'
					} else {
						var urls = 'admin/industry/updateIndustry'
					}
					this.$http({
						url: this.$http.adornUrl(urls),
						method: 'post',
						// data: this.$http.adornData({
						params: this.$http.adornParams({
							'industryName': this.ruleClassifyName,
							'isEnable': this.gameStatus,
							'sort': this.sort,
							'industryId': this.ruleClassifyId,
							'parentId':this.parentId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.dialogFormVisible9 = false
							this.$message({
								message: '操作成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									if(this.ruleClassifyIdT==0){
										this.classSelect()
									}else{
										this.stationClass()
									}
									this.dialogVisibleS = false
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}

					})
			},
			// 删除分类
			classdelete(row) {
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('admin/industry/deleteIndustry'),
						method: 'post',
						params: this.$http.adornParams({
							'industryId': row.industryId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									this.classSelect()
									this.stationClass()
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}

					})
				}).catch(() => {})
			},

			// 获取行业列表
			stationClass() {
				this.tableDataLoading4 = true
				this.$http({
					url: this.$http.adornUrl('admin/industry/adminGetIndustryList'),
					method: 'get',
					params: this.$http.adornParams({
						'industryName':'',
						'page': this.page1,
						'limit': this.size1,
						'parentId': this.ruleClassifyIdT

					})
				}).then(({
					data
				}) => {
					this.tableDataLoading4 = false
					for(var i in data.data.records){
						data.data.records[i].flname = ''

					}
					let returnData = data.data
					this.stationList = returnData
				})
			},
			// 删除行业
			stationDelete(row){
				this.$confirm(`确定删除此条信息?`, '提示', {
					confirmButtonText: '确定',
					cancelButtonText: '取消',
					type: 'warning'
				}).then(() => {
					this.$http({
						url: this.$http.adornUrl('admin/industry/deleteIndustry'),
						method: 'get',
						params: this.$http.adornParams({
							'industryId': row.industryId
						})
					}).then(({
						data
					}) => {
						if(data.code==0){
							this.$message({
								message: '删除成功',
								type: 'success',
								duration: 1500,
								onClose: () => {
									if(this.parentId==0){
										this.classSelect()
									}else{
										this.stationClass()
									}
									this.dialogVisibleS = false
								}
							})
						}else{
							this.$message({
								message: data.msg,
								type: 'warning',
								duration: 1500,
								onClose: () => {
								}
							})
						}

					})
				}).catch(() => {})
			},

		},
		mounted() {
			this.classSelect()
		}
	}
</script>

<style>
	.customWidth {
		width: 80% !important;
	}

	.adver_main.box {
		display: block;
		max-width: 100%;
		text-align: center;
		border: 1px dotted rgba(67, 79, 103, .4);
	}

	.cards {
		padding: 0 8px;
		margin-bottom: 15px;
	}

	.adver_main.box a {
		display: flex;
		justify-content: center;
		height: 150px;
		line-height: 150px;
		text-decoration: none
	}

	.bannerManin {
		border: 1px solid #e8e8e8;
		font-size: 14px;
		padding: 0 24px;
		display: flex;
		justify-content: center;
		align-items: center;
		height: 113px;
		color: rgba(0, 0, 0, .65);
	}

	.bannerManin span {
		display: inline-block;
		margin-left: 5px;
	}

	.bannerManin img {
		width: 48px;
		height: 48px;
		border-radius: 50%;
	}

	.bannerbtn {
		display: flex;
		border-top: none !important;
		border: 1px solid #e8e8e8;
		padding: 11px;
		font-size: 14px;
		color: #3E8EF7;
	}

	.bannerbtn a {
		flex: 1;
		text-align: center;
		color: #3E8EF7 !important;
		text-decoration: none;
	}

	.imgs {
		position: relative;
		border-radius: 6px;
		width: 148px;
		height: 148px;
		margin-right: 10px;
		display: inline-block;
	}

	.dels {
		position: absolute;
		top: 0;
		left: 0;
		display: none;
	}

	.dels .el-icon-delete {
		line-height: 148px;
		padding-left: 58px;
		font-size: 25px;
		color: #fff;
	}

	.imgs:hover .dels {
		width: 100%;
		height: 100%;
		background: #000;
		display: block;
		opacity: 0.5;
	}

	.bqList {
		padding: 4px 14px;
		margin: 4px;
		border: 1px solid #efefef;
		font-size: 12px;
		color: #999;
		border-radius: 4px;
		margin-right: 15px;
	}

	.delss {
		display: none;
		position: relative;
	}

	.delss .el-icon-delete {
		position: absolute;
		top: 0;
	}

	.bqList:hover .delss {
		display: initial;
		opacity: 0.5;

	}

	.tj {
		padding: 6px !important;
		margin: 4px;
		font-size: 12px;
		border: 1px solid #ccc;
		border-radius: 4px;
	}
</style>
